id: easyvista-panel

info:
  name: EasyVista Login Panel - Detect
  author: righettod
  severity: info
  description: |
    EasyVista login panel was detected.
  reference:
    - https://www.easyvista.com/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Easyvista"
  tags: panel,easyvista,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/index.php"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "<title>easyvista apps</title>", "easyvista-bundle.min.js", "packages_com_easyvista_core")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '(?i)package:\s+"([a-z0-9._-]+)"'
          - '(?i)version&nbsp;:&nbsp;([a-z0-9._-]+)'
# digest: 490a00463044022009b6b81d13367b4547d21d94c1ab3db420b96a7b968884d3d6f9f4186bb8da5202207cd84b9c00600ac044704fe514e3209a33364070133ab2470291d0e3b318e671:922c64590222798bb761d5b6d8e72950